About
=====

This is Hyperbola Docker is base image build setup that employs
the bootstrap tarball distributed by distro authors.

It's meant to provide an easy to use solution for building
Hyperbola Docker images.

Usage
======

- `git clone` this repository and move to directory where you have cloned it.
- Generate bootstrap image with [hyperbola-bootstrap](https://git.sr.ht/~heckyel/hyperbola-bootstrap) or download file from [archive.fridu.us](https://archive.fridu.us/hyperbola/iso/)
- Make sure you have `hyperbola-bootstrap-i686.tar.gz` or `hyperbola-bootstrap-x86_64.tar.gz` in the directory.
- Build the image with a command like:

        docker build --no-cache --platform=linux/amd64 --tag rusian/hyperbola:v0.4.3-amd64 -f Dockerfile.amd64 .
        docker build --no-cache --platform=linux/386 --tag rusian/hyperbola:v0.4.3-386 -f Dockerfile.386 .

- Optionally, you can use the provided **make-hyperbola.sh** script to build and push the images to Docker Hub, you can provide your username and password like environment variables or directly in the script.

        export DOCKER_USERNAME="your_username"
        export DOCKER_PASSWORD="your_password"

- Run **make-hyperbola.sh**

        bash make-hyperbola.sh

- Clean environment variables

        unset DOCKER_USERNAME && unset DOCKER_PASSWORD

License
=======

This work is licensed under the [GNU GPLv3+](LICENSE)
